.card-list {
  list-style: none;
  margin: 0;
  padding: 0 0 map-get($spacing, 'mobile-small');
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding: 0 0 map-get($spacing, 'desktop-small');
  }

  .card-content & {
    padding-bottom: 0;
  }
}

.card-list-item {
  align-items: center;
  display: flex;
  padding: map-get($spacing, 'mobile-small') map-get($spacing, 'mobile-half');
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding: map-get($spacing, 'desktop-small') map-get($spacing, 'desktop-half');
    width: 100%;
  }

  .card-content & {
    padding-left: 0;
    padding-right: 0;

    &:first-of-type {
      padding-top: 0;
    }

    &:last-of-type {
      padding-bottom: 0;
    }
  }
}

.card-list-item-slim {
  padding: .5rem 0;
}

.card-list-item-icon {
  @include themify($themes) {
    background-color: themed('white');
    border: 1px solid themed('brand-4');
    box-shadow: none;
    color: themed('brand-7');
  }
  align-items: center;
  border-radius: map-get($radius, 'cta');
  display: inline-flex;
  font-weight: 300;
  margin: map-get($spacing, 'desktop-small') map-get($spacing, 'desktop-small') map-get($spacing, 'mobile-small') 0;
  padding: map-get($spacing, 'mobile-small') map-get($spacing, 'mobile-half') map-get($spacing, 'mobile-small') map-get($spacing, 'mobile-small');

  &:last-of-type {
    margin-right: 0;
  }

  .card-content-row & {
    margin-top: 0;
  }

  &.cross {
    i {
      @include themify($themes) {
        border-color: themed('error');
        color: themed('error');
      }
    }
  }

  i {
    @include themify($themes) {
      border: 1px solid themed('brand-quinary');
      color: themed('brand-quinary');
    }
    align-items: center;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    margin-right: map-get($spacing, 'mobile-small');
    min-height: 3rem;
    min-width: 3rem;
    padding: .5rem;
  }
}

.card-list-item-horizontal {
  align-items: center;
  display: inline-flex;
  margin-bottom: 0;
  padding: map-get($spacing, 'mobile-small') map-get($spacing, 'desktop-small') map-get($spacing, 'mobile-small') 0;

  &:last-of-type {
    padding-right: 0;
  }


  &.card-list-item-slim {
    padding-top: 0;
  }
}

.card-list-item-horizontal-slim {
  padding-right: map-get($spacing, 'mobile-small');
}

.card-list-item-large {
  &:not(:last-of-type) {
    @include themify($themes) {
      border-bottom: 1px solid themed('brand-1');
    }
  }

  .card-list-image {
    height: 9.5rem;
    width: 9.5rem;
  }

  .card-list-row {
    margin-bottom: map-get($spacing, 'mobile-small');
  }
}

.card-list-item-border {
  &:not(:last-of-type) {
    @include themify($themes) {
      border-color: themed('brand-secondary');
    }
    border-bottom: 2px solid;

    &.card-document-seen {
      @include themify($themes) {
        border-color: themed('brand-quinary');
      }
    }
  }
}

.card-list-spaced {
  justify-content: space-between;
}

.card-list-image {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 50%;
  flex-shrink: 0;
  height: 5rem;
  margin-right: map-get($spacing, 'mobile-half');
  width: 5rem;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    margin-right: map-get($spacing, 'desktop-half');
  }
}

.card-list-content {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  width: 100%;

  p {
    margin: 0;
  }
}

.card-list-row {
  width: 100%;
}
